package w.soulofpluto.posstock;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;
import java.util.List;

/*
 Create by Ramesh Babu
 */

public class CreateResponse {
    @SerializedName("success")
    @Expose
    private Integer success;
    @SerializedName("data")
    @Expose
    private List<Datum> data = null;
    @SerializedName("promo_suggestions")
    @Expose
    private List<Object> promoSuggestions = null;
    @SerializedName("total_qty")
    @Expose
    private Integer totalQty;
    @SerializedName("net_payable")
    @Expose
    private Integer netPayable;
    @SerializedName("last_scanned_barcode")
    @Expose
    private String lastScannedBarcode;
    @SerializedName("barcode_images")
    @Expose
    private List<Object> barcodeImages = null;
    @SerializedName("transaction_start_time")
    @Expose
    private String transactionStartTime;
    @SerializedName("transaction_start_microtime")
    @Expose
    private Long transactionStartMicrotime;

    public Integer getSuccess() {
        return success;
    }

    public void setSuccess(Integer success) {
        this.success = success;
    }

    public List<Datum> getData() {
        return data;
    }

    public void setData(List<Datum> data) {
        this.data = data;
    }

    public List<Object> getPromoSuggestions() {
        return promoSuggestions;
    }

    public void setPromoSuggestions(List<Object> promoSuggestions) {
        this.promoSuggestions = promoSuggestions;
    }

    public Integer getTotalQty() {
        return totalQty;
    }

    public void setTotalQty(Integer totalQty) {
        this.totalQty = totalQty;
    }

    public Integer getNetPayable() {
        return netPayable;
    }

    public void setNetPayable(Integer netPayable) {
        this.netPayable = netPayable;
    }

    public String getLastScannedBarcode() {
        return lastScannedBarcode;
    }

    public void setLastScannedBarcode(String lastScannedBarcode) {
        this.lastScannedBarcode = lastScannedBarcode;
    }

    public List<Object> getBarcodeImages() {
        return barcodeImages;
    }

    public void setBarcodeImages(List<Object> barcodeImages) {
        this.barcodeImages = barcodeImages;
    }

    public String getTransactionStartTime() {
        return transactionStartTime;
    }

    public void setTransactionStartTime(String transactionStartTime) {
        this.transactionStartTime = transactionStartTime;
    }

    public Long getTransactionStartMicrotime() {
        return transactionStartMicrotime;
    }

    public void setTransactionStartMicrotime(Long transactionStartMicrotime) {
        this.transactionStartMicrotime = transactionStartMicrotime;
    }



    public class Datum {
        @SerializedName("barcode")
        @Expose
        private String barcode;
        @SerializedName("emp_id")
        @Expose
        private String empId;
        @SerializedName("quantity")
        @Expose
        private Integer quantity;
        @SerializedName("promo_disc")
        @Expose
        private Integer promoDisc;
        @SerializedName("item_rsp")
        @Expose
        private String itemRsp;
        @SerializedName("net_payable")
        @Expose
        private Integer netPayable;
        @SerializedName("issis")
        @Expose
        private Integer issis;
        @SerializedName("uom")
        @Expose
        private String uom;
        @SerializedName("emp_name")
        @Expose
        private String empName;
        @SerializedName("item_level_promo_name")
        @Expose
        private String itemLevelPromoName;
        @SerializedName("bill_level_promo_name")
        @Expose
        private String billLevelPromoName;
        @SerializedName("discount_code")
        @Expose
        private String discountCode;
        @SerializedName("promo_suggested")
        @Expose
        private String promoSuggested;
        @SerializedName("suggested_promo_id")
        @Expose
        private Integer suggestedPromoId;
        @SerializedName("color_code")
        @Expose
        private String colorCode;

        public String getBarcode() {
            return barcode;
        }

        public void setBarcode(String barcode) {
            this.barcode = barcode;
        }

        public String getEmpId() {
            return empId;
        }

        public void setEmpId(String empId) {
            this.empId = empId;
        }

        public Integer getQuantity() {
            return quantity;
        }

        public void setQuantity(Integer quantity) {
            this.quantity = quantity;
        }

        public Integer getPromoDisc() {
            return promoDisc;
        }

        public void setPromoDisc(Integer promoDisc) {
            this.promoDisc = promoDisc;
        }

        public String getItemRsp() {
            return itemRsp;
        }

        public void setItemRsp(String itemRsp) {
            this.itemRsp = itemRsp;
        }

        public Integer getNetPayable() {
            return netPayable;
        }

        public void setNetPayable(Integer netPayable) {
            this.netPayable = netPayable;
        }

        public Integer getIssis() {
            return issis;
        }

        public void setIssis(Integer issis) {
            this.issis = issis;
        }

        public String getUom() {
            return uom;
        }

        public void setUom(String uom) {
            this.uom = uom;
        }

        public String getEmpName() {
            return empName;
        }

        public void setEmpName(String empName) {
            this.empName = empName;
        }

        public String getItemLevelPromoName() {
            return itemLevelPromoName;
        }

        public void setItemLevelPromoName(String itemLevelPromoName) {
            this.itemLevelPromoName = itemLevelPromoName;
        }

        public String getBillLevelPromoName() {
            return billLevelPromoName;
        }

        public void setBillLevelPromoName(String billLevelPromoName) {
            this.billLevelPromoName = billLevelPromoName;
        }

        public String getDiscountCode() {
            return discountCode;
        }

        public void setDiscountCode(String discountCode) {
            this.discountCode = discountCode;
        }

        public String getPromoSuggested() {
            return promoSuggested;
        }

        public void setPromoSuggested(String promoSuggested) {
            this.promoSuggested = promoSuggested;
        }

        public Integer getSuggestedPromoId() {
            return suggestedPromoId;
        }

        public void setSuggestedPromoId(Integer suggestedPromoId) {
            this.suggestedPromoId = suggestedPromoId;
        }

        public String getColorCode() {
            return colorCode;
        }

        public void setColorCode(String colorCode) {
            this.colorCode = colorCode;
        }

    }

}